schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null 2> /dev/null
}

schema_install nm-applet.schemas

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications 1>/dev/null 2> /dev/null
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor 1>/dev/null 2> /dev/null
  fi
fi

( cd usr/lib ; rm -rf libnm-gtk.so.0 )
( cd usr/lib ; ln -sf libnm-gtk.so.0.0.0 libnm-gtk.so.0 )
( cd usr/lib ; rm -rf libnm-gtk.so )
( cd usr/lib ; ln -sf libnm-gtk.so.0.0.0 libnm-gtk.so )
